get
/v9/storage/iscsi-initiators/{iscsiInitiatorObjectId}
Gets the authentication information for a specific iSCSI initiator.
Note: Accepted parameter values may be restricted based on the virtual server access granted by the API key used for authentication.
Path parameters
iscsiInitiatorObjectId
String
required
Object ID of the iSCSI initiator
Object ID of the iSCSI initiator
Example:
313a3a3a69716e2e323030342d30332e636f6d2e6578616d706c653a696e69746961746f72313a3a3a3a3a3a303a3a3a4f49445f24232140255f56
CLIENT REQUEST
curl -X 'GET'
-H "X-Subsystem-User: [[apiKey]]"
\
-H "X-Subsystem-Password: [[apiKey]]"
\
-H "X-Api-Key: [[apiKey]]"
\
-H "Authorization: Basic [[basicHash]]"
\
-H
'Accept: application/json'
'https://172.27.146.40:8444/v9/storage/iscsi-initiators/{iscsiInitiatorObjectId}'
import http.client
conn = http.client.HTTPSConnection("172.27.146.40:8444")
headers = { 'Authorization': "Basic REPLACE_BASIC_AUTH" }
conn.request("GET", "/v9/storage/iscsi-initiators/313a3a3a69716e2e323030342d30332e636f6d2e6578616d706c653a696e69746961746f72313a3a3a3a3a3a303a3a3a4f49445f24232140255f56", headers=headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))require 'uri'
require 'net/http'
require 'openssl'
url = URI("https://172.27.146.40:8444/v9/storage/iscsi-initiators/313a3a3a69716e2e323030342d30332e636f6d2e6578616d706c653a696e69746961746f72313a3a3a3a3a3a303a3a3a4f49445f24232140255f56")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic REPLACE_BASIC_AUTH'
response = http.request(request)
puts response.read_bodyconst data = null;
const xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});
xhr.open("GET", "https://172.27.146.40:8444/v9/storage/iscsi-initiators/313a3a3a69716e2e323030342d30332e636f6d2e6578616d706c653a696e69746961746f72313a3a3a3a3a3a303a3a3a4f49445f24232140255f56");
xhr.setRequestHeader("Authorization", "Basic REPLACE_BASIC_AUTH");
xhr.send(data);HttpResponse<String> response = Unirest.get("https://172.27.146.40:8444/v9/storage/iscsi-initiators/313a3a3a69716e2e323030342d30332e636f6d2e6578616d706c653a696e69746961746f72313a3a3a3a3a3a303a3a3a4f49445f24232140255f56")
.header("Authorization", "Basic REPLACE_BASIC_AUTH")
.asString();import Foundation
let headers = ["Authorization": "Basic REPLACE_BASIC_AUTH"]
let request = NSMutableURLRequest(url: NSURL(string: "https://172.27.146.40:8444/v9/storage/iscsi-initiators/313a3a3a69716e2e323030342d30332e636f6d2e6578616d706c653a696e69746961746f72313a3a3a3a3a3a303a3a3a4f49445f24232140255f56")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8444",
CURLOPT_URL => "https://172.27.146.40:8444/v9/storage/iscsi-initiators/313a3a3a69716e2e323030342d30332e636f6d2e6578616d706c653a696e69746961746f72313a3a3a3a3a3a303a3a3a4f49445f24232140255f56",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic REPLACE_BASIC_AUTH"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_URL, "https://172.27.146.40:8444/v9/storage/iscsi-initiators/313a3a3a69716e2e323030342d30332e636f6d2e6578616d706c653a696e69746961746f72313a3a3a3a3a3a303a3a3a4f49445f24232140255f56");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Basic REPLACE_BASIC_AUTH");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);var client = new RestClient("https://172.27.146.40:8444/v9/storage/iscsi-initiators/313a3a3a69716e2e323030342d30332e636f6d2e6578616d706c653a696e69746961746f72313a3a3a3a3a3a303a3a3a4f49445f24232140255f56");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Basic REPLACE_BASIC_AUTH");
IRestResponse response = client.Execute(request);Responses